ttx_page_link Struct Reference

## Data Fields

enum ttx_page_function | function
vbi_pgno | pgno
vbi_subno | subno

## Field Documentation

## function

enum ttx_page_function ttx_page_link::function

Function of the target.

## pgno

vbi_pgno ttx_page_link::pgno

Page number of the target. NO_PAGE (pgno) == TRUE when this link is unused or broken.

## subno

vbi_subno ttx_page_link::subno

Subpage number of the target or VBI_NO_SUBNO.

For X/27/4 ... 5 format 1 links (struct ttx_lop.link[]) this is the set of required subpages (1 << (0 ... 15)) instead.